aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDarrick J. Wong <darrick.wong@oracle.com>2017-12-12 22:04:04 -0800
committerEryu Guan <eguan@redhat.com>2018-01-06 02:09:02 +0800
commit3b1382f992bfffb539eb165366a7c1355317d79f (patch)
tree01f56d33d859d5a24d77042d862b69b41986af8f
parentebe1aa88a197c63261a54c134f3596579d47708e (diff)
downloadxfstests-3b1382f992bfffb539eb165366a7c1355317d79f.tar.gz
generic: run a long-soak write-only fsstress test
Let a lot of writes soak in with multithreaded fsstress to look for bugs and other problems. [eguan: remove '-v' option of fsstress and remove 'clone' group] Signed-off-by: Darrick J. Wong <darrick.wong@oracle.com> Reviewed-by: Eryu Guan <eguan@redhat.com> Signed-off-by: Eryu Guan <eguan@redhat.com>
-rwxr-xr-xtests/generic/47664
-rw-r--r--tests/generic/476.out2
-rw-r--r--tests/generic/group1
3 files changed, 67 insertions, 0 deletions
diff --git a/tests/generic/476 b/tests/generic/476
new file mode 100755
index 0000000000..266839c8cf
--- /dev/null
+++ b/tests/generic/476
@@ -0,0 +1,64 @@
+#! /bin/bash
+# FS QA Test No. 476
+#
+# Run an all-writes fsstress run with multiple threads to shake out
+# bugs in the write path.
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2017 Oracle, Inc. All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1 # failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+ cd /
+ rm -f $tmp.*
+ $KILLALL_PROG -9 fsstress > /dev/null 2>&1
+}
+
+# get standard environment, filters and checks
+. ./common/rc
+
+# Modify as appropriate.
+_supported_fs generic
+_supported_os Linux
+
+_require_scratch
+_require_command "$KILLALL_PROG" "killall"
+
+rm -f $seqres.full
+
+echo "Silence is golden."
+
+_scratch_mkfs > $seqres.full 2>&1
+_scratch_mount >> $seqres.full 2>&1
+
+nr_cpus=$((LOAD_FACTOR * 4))
+nr_ops=$((25000 * nr_cpus * TIME_FACTOR))
+$FSSTRESS_PROG $FSSTRESS_AVOID -w -d $SCRATCH_MNT -n $nr_ops -p $nr_cpus >> $seqres.full
+
+# success, all done
+status=0
+exit
diff --git a/tests/generic/476.out b/tests/generic/476.out
new file mode 100644
index 0000000000..53e01df852
--- /dev/null
+++ b/tests/generic/476.out
@@ -0,0 +1,2 @@
+QA output created by 476
+Silence is golden.
diff --git a/tests/generic/group b/tests/generic/group
index 0536686f4b..bf5329ca17 100644
--- a/tests/generic/group
+++ b/tests/generic/group
@@ -478,3 +478,4 @@
473 auto quick
474 auto quick shutdown metadata
475 shutdown auto log metadata
+476 auto rw